Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.util
Class TaggedData<T>

    java.lang.Object
      rdlc.util.TaggedData<T>

Type Parameters:
  `T` - This is the type parameter of the data contained in the tagged data.

    public class TaggedData<T>

extends java.lang.Object

Allows the pairing of a piece of data with an integer tag. This is very helpful in parsing where there are often multiple derivations with the same result. There a `TaggedData` object is used to identify which set of derivations were used.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling

Field Summary
`T` | `data` The object data.
`int` | `tag` The integer tag.

Constructor Summary
`TaggedData(int _tag, T _data)` Basic constructor, sets the tag and data.

Method Summary
`int` | `hashCode()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### tag

    public int tag

  The integer tag.

### data

    public T data

  The object data.

Constructor Detail

### TaggedData

    public TaggedData(int _tag,
                      T _data)

  Basic constructor, sets the tag and data.

  Parameters:
    `_tag` - Tag value
    `_data` - Data object

Method Detail

### hashCode

    public int hashCode()

  Simple accessor.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A mindless hash code for this tagged data, captures the hash of the tag and data.
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A concatentation of the tag and the string for the data object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD